--- title: "setLoadBalancerInstanceSubnet" slug: "networking-vloadbalancer-loadbalancer-setloadbalancerinstancesubnet" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-loadbalancer-setloadbalancerinstancesubnet" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # setLoadBalancerInstanceSubnet Available in VPC Set a subnet for a load balancer. It configures subnets including the subnets already set. You can add subnets in different zones from the existing subnets. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/setLoadBalancerInstanceSubnet | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the load balancer instance whose subnet settings you want to change - First Region of the getRegionList query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `loadBalancerInstanceNo` | String | Required | Load balancer instance number - See [getLoadBalancerInstanceList](/docs/en/networking-vloadbalancer-loadbalancer-getloadbalancerinstancelist) | | `subnetNoList.N` | List[String] | Required | Subnet's number list - `subnetNoList` or `loadBalancerSubnetList` must be entered. - `loadBalancerSubnetList` is applied if both are passed. - Select a subnet located in the selected VPC. - One load balancer-only subnet can be selected for each zone, including subnets already configured. - Check `subnetNo` through [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). - Example: subnetNoList.1=1234&subnetNoList.2=2345 | | `loadBalancerSubnetList.N.subnetNo` | String | Conditional | Subnet number - `subnetNoList` or `loadBalancerSubnetList` must be entered. - `loadBalancerSubnetList` is applied if both are passed. - When applying `loadBalancerSubnetList`, `loadBalancerSubnetList.N.subnetNo` is required. - Select a subnet located in the same VPC as the load balancer. - One load balancer-only subnet can be selected for each zone. - Check `subnetNo` through [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). | | `loadBalancerSubnetList.N.publicIpInstanceNo` | String | Optional | Public IP instance number - Create and assign a new public IP (default). - It can be set if the load balancer's network type is `PUBLIC`. | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/setLoadBalancerInstanceSubnet?regionCode=KR&loadBalancerInstanceNo=********&subnetNoList.1=******&subnetNoList.2=******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [LoadBalancerInstanceList](/docs/en/common-vapidatatype-loadbalancerinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 32f4e6b9-6790-4c5b-83de-a84157bd6cd7 0 success 1 ******** USED LB USED state CHANG LB CHANGE OP Changing 2024-06-03T17:09:52+0900 YOUR_LOAD_BALANCER ***.com **.*.*.* APPLICATION Application Load Balancer PRIVATE Private SMALL Small 60 ***** KR ****** ****** KR-1 ****** KR-2 ****** ****** ```